# $Revision: 1.44 $, $Date: 2003/08/21 22:54:22 $
Summary:	SWI Prolog Language
Summary(pl):	Jzyk SWI Prolog
Name:		pl
Version:	5.2.6
Release:	1
License:	GPL
Group:		Development/Languages
Source0:	http://www.swi.psy.uva.nl/cgi-bin/nph-download/SWI-Prolog/%{name}-%{version}.tar.gz
# Source0-md5:	a2bf7e48979758bdba488f1680a3a8d8
Patch0:		%{name}-smp.patch
URL:		http://www.swi-prolog.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	ncurses-devel
BuildRequires:	readline-devel >= 4.2
Obsoletes:	swi-prolog
Obsoletes:	swi-pl
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ISO/Edinburgh-style Prolog compiler including modules, autoload, libraries,
Garbage-collector, stack-expandor, C/C++-interface, GNU-readline interface,
very fast compiler.  Including packages clib (Unix process control and
sockets), cpp (C++ interface), sgml (reading XML/SGML), sgml/RDF (reading RDF
into triples) and XPCE (Graphics UI toolkit, integrated editor (Emacs-clone)
and source-level debugger).

%description -l pl
Kompilator jzyka PROLOG w stylu Edinburgh wraz z moduami,
bibliotekami, garbage collectorrem, interfejsem C, interfejsami do GNU
readline, GNU Emacsa i X11 przy uyciu XPCE.

%prep
%setup -q
%patch0 -p0

%build
cd src
	%{__aclocal}
	%{__autoconf}
	%configure
	%{__make}
	%{__make} check
cd ..

cd packages
	%{__aclocal}
	%{__autoconf}
	%configure
	%{__make}
cd ..

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_prefix}

%{__make} install -C src \
        prefix=$RPM_BUILD_ROOT%{_prefix} \
        bindir=$RPM_BUILD_ROOT%{_bindir} \
        mandir=$RPM_BUILD_ROOT%{_mandir}

install -d $RPM_BUILD_ROOT%{_libdir}/pl-%{version}/doc

PATH=$RPM_BUILD_ROOT%{_bindir}:$PATH \
%{__make} install -C packages \
        PLBASE=$RPM_BUILD_ROOT%{_libdir}/pl-%{version} \
        prefix=$RPM_BUILD_ROOT%{_prefix} \
        bindir=$RPM_BUILD_ROOT%{_bindir} \
        mandir=$RPM_BUILD_ROOT%{_mandir}/man1

# why are manpages installed twice?
rm -rf $RPM_BUILD_ROOT%{_libdir}/pl-%{version}/man

mv -f $RPM_BUILD_ROOT/%{_libdir}/pl-%{version}/library/MANUAL .
mv -f $RPM_BUILD_ROOT/%{_mandir}/man3/readline.{3,3pl}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README* LSM ChangeLog PORTING MANUAL
%doc dotfiles/dot*
%attr(755,root,root)%{_bindir}/*
%dir %{_libdir}/pl-%{version}
%attr(755,root,root)%{_libdir}/pl-%{version}/bin
%{_libdir}/pl-%{version}/boot*
%{_libdir}/pl-%{version}/lib*
%{_libdir}/pl-%{version}/include
%{_libdir}/pl-%{version}/do*
%{_libdir}/pl-%{version}/runtime
%{_libdir}/pl-%{version}/swipl
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pl.spec,v $
Revision 1.44  2003/08/21 22:54:22  undefine
- update to 5.2.6, stb

Revision 1.43  2003/08/21 15:21:20  qboosh
- no // in paths, other cosmetics

Revision 1.42  2003/08/18 08:09:29  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.41  2003/06/16 19:46:20  blues
- changes inpired by kloczek: URL upper-case
- small other changes and cleanups

Revision 1.40  2003/06/13 18:32:50  mwinkler
- small url fix

Revision 1.39  2003/05/28 13:01:18  malekith
- massive attack: source-md5

Revision 1.38  2003/05/25 06:25:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.37  2002/11/01 02:05:57  undefine
- change some perms
- release 4
- stbr

Revision 1.36  2002/10/14 12:32:23  undefine
- change manpage from readline.3 to readline.3pl to avoid conflicts with readline-devel
- stbr

Revision 1.35  2002/10/09 13:14:45  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.34  2002/09/11 11:05:38  undefine
- release 3(to allow upgrade from mandrake)
- make check
- some cleanup

Revision 1.33  2002/09/07 11:57:08  undefine
- starting upgrade to 5.0.8
- nfy

Revision 1.32  2002/05/21 23:14:31  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.31  2002/02/23 04:17:27  kloczek
- adapterized.

Revision 1.30  2002/02/22 23:29:36  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.29  2002/01/18 02:14:37  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.28  2001/12/23 09:07:31  filon
- moved manual for libdir to docs :-)
- release 4

Revision 1.27  2001/10/03 07:55:13  qboosh
- BuildRequires: autoconf, automake
- longer pl description
- fixed %%configure in changelog (so it won't be expanded in RPM)

Revision 1.26  2001/10/02 13:26:07  cieciwa
- s/%%configure/%%configure2_13/

Revision 1.25  2001/09/21 22:56:06  blues
- release 3
- ac2.5 ready

Revision 1.24  2001/04/13 18:21:43  wiget
build with readline 4.2

Revision 1.23  2000/11/12 04:47:21  kloczek
- updated to 3.4.2,
- added BuildRequires rules.

Revision 1.22  2000/10/20 17:06:38  kloczek
- adapterized.

Revision 1.21  2000/10/20 15:31:36  baggins
- fixed %%doc list

Revision 1.20  2000/10/20 15:27:29  baggins
- added DESTDIR patch
- license is now GPL

Revision 1.19  2000/10/10 19:10:15  baggins
- fixed source URL

Revision 1.18  2000/10/10 19:09:47  baggins
- updated to 3.4.0

Revision 1.17  2000/06/09 07:55:08  kloczek
- more %%{__make} macros.

Revision 1.16  2000/06/09 07:23:46  kloczek
- added using %%{__make} macro.

Revision 1.15  2000/06/07 04:31:54  kloczek
- spec adapterized.

Revision 1.14  2000/04/01 11:15:35  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.13  2000/03/28 16:55:03  baggins
- translated kloczkish into english

Revision 1.12  1999/11/28 16:20:37  wiget
- updated to 3.3.0
- fixed source url
Warning: I can't compile this

Revision 1.11  1999/11/23 15:43:36  baggins
- fixed arch problems
- cleaned up %files

Revision 1.10  1999/07/12 23:06:12  kloczek
- added using CVS keywords in %changelog (for automating them).

* Tue May  4 1999 Wojciech "Sas" Ciciwa <cieciwa@alpha.zarz.agh.edu.pl>
  [3.2.6-1]
- upgradeing to version 3.2.6,
- added gziped man pages and information.

* Tue Sep 22 1998 Wojciech "Sas" Ciciwa <cieciwa@alpha.zarz.agh.edu.pl>
- upgradeing from 2.9.10 to 3.1.0.

* Mon Sep 21 1998 Wojciech "Sas" Ciciwa <cieciwa@alpha.zarz.agh.edu.pl>
- adding %defattr in %files.

* Thu Aug 13 1998 Wojciech "Sas" Ciciwa <cieciwa@alpha.zarz.agh.edu.pl>
- Build RPM.
